=== debian/changelog ===
xmhtml (1.1.7-19) unstable; urgency=low

  * New maintainer (Closes: #307363).
  * Build-depend on libmotif-dev instead of lesstif2-dev.
  * Add multiarch support.
  * Add xmhtml1.symbols file.
  * Update d/control:
    - Add Depends: xmhtml1 (= ${binary:Version}) and Section: libdevel
      to package xmhtml1-dev
    - Add Vcs-browser and Vcs-git sections
  * Update d/rules:
    - Remove -L/usr/X11R6/lib and explicity link -lXt -lXext -lX11 -lz and -lm
  * Bump standards-version to 3.9.4 (added vcs and symbols).

 -- Graham Inggs <graham@nerve.org.za>  Mon, 17 Jun 2013 13:27:54 +0200

xmhtml (1.1.7-18) unstable; urgency=low

  * QA upload.
  * Bumped Standards-Version to 3.9.3 (was 3.6.0).
  * Bumped debhelper version to 9 (was 4.1.0); updated debian/compat.
  * Added files: debian/patches/fix-build-with-hardening-flags.patch
    and debian/patches/series.
  * Package switched from cdbs to dh:
    - deleted build dependency from cdbs
    - updated debian/rules
  * Updated file debian/xmhtml1-dev.docs, added file debian/xmhtml1.docs.
  * Fixed such lintian warnings and notes:
    - duplicate-short-description xmhtml1 xmhtml1-dev
    - package-uses-deprecated-debhelper-compat-version 4
    - missing-debian-source-format
    - direct-changes-in-diff-but-no-patch-system Makefile and 8 more
    - old-fsf-address-in-copyright-file
    - description-synopsis-starts-with-article
    - hardening-no-relro usr/lib/libXmHTML.so.1.1.7
  * Changed build dependency from libpng12-dev to libpng-dev.
    Added file debian/patches/fix-build-with-libpng15.patch.
    Build with libpng version 1.5.10 was tested successfully.
    (Closes: #662564)

 -- Boris Pek <tehnick-8@mail.ru>  Tue, 26 Jun 2012 01:26:09 +0300

xmhtml (1.1.7-17) unstable; urgency=low

  * QA upload.
  * Allow for libmotif-dev to satisfy the lesstif2-dev dependency of xmhtml1-dev
    (Closes: #636610).

 -- Michael Hanke <mih@debian.org>  Mon, 23 Apr 2012 13:46:35 +0200

xmhtml (1.1.7-16) unstable; urgency=low

  * QA upload.
  * Build-depend on just libjpeg-dev, rather than on libjpeg62-dev |
    libjpeg-dev (see
    http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html).
  * Appease gcc -Werror=format-security, now enabled by default.
  * Add ${misc:Depends}.

 -- Colin Watson <cjwatson@debian.org>  Thu, 20 Oct 2011 18:40:19 +0100

xmhtml (1.1.7-15) unstable; urgency=low

  * Orphan the package.

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 20:57:59 +0100

xmhtml (1.1.7-14) unstable; urgency=low

  * added Build-Depends: libxmu-dev, libxpm-dev, closes: #256424

 -- Torsten Werner <twerner@debian.org>  Sun, 27 Jun 2004 21:38:38 +0200

xmhtml (1.1.7-13) unstable; urgency=low

  * converted from CBS to cdbs
  * include patch from grace sources
  * changed Standards-Version to 3.6.0

 -- Torsten Werner <twerner@debian.org>  Sat, 23 Aug 2003 19:03:20 +0200

xmhtml (1.1.7-12) unstable; urgency=low

  * rebuild with newer libpng12, closes: #196849

 -- Torsten Werner <twerner@debian.org>  Sat, 21 Jun 2003 16:19:02 +0200

xmhtml (1.1.7-11) unstable; urgency=low

  * really fixed disparity

 -- Torsten Werner <twerner@debian.org>  Sat,  8 Mar 2003 19:30:44 +0100

xmhtml (1.1.7-10) unstable; urgency=low

  * linked against lesstif2
  * fixed control file (override disparity), closes: #172894
  * updated debian/rules

 -- Torsten Werner <twerner@debian.org>  Sat,  8 Mar 2003 19:05:05 +0100

xmhtml (1.1.7-9) unstable; urgency=low

  * readded the lost -fPIC for compiling the shared library objects,
  closes: #172257

 -- Torsten Werner <twerner@debian.org>  Fri, 13 Dec 2002 11:08:19 +0100

xmhtml (1.1.7-8) unstable; urgency=low

  * converted to CBS

 -- Torsten Werner <twerner@debian.org>  Thu,  5 Dec 2002 18:32:54 +0100

xmhtml (1.1.7-7) unstable; urgency=low

  * new maintainer, closes: #99004

 -- Torsten Werner <twerner@debian.org>  Fri, 14 Sep 2001 09:33:34 +0200

xmhtml (1.1.7-6.1) unstable; urgency=low

  * NMU
  * Added missing build-depends, closes: #107831
  * Removed call to dh_suidregister

 -- Matthew Wilcox <willy@debian.org>  Wed,  8 Aug 2001 13:02:51 -0600

xmhtml (1.1.7-6) unstable; urgency=low

  * Set maintainer to Debian QA Team <packages@qa.debian.org> 
  * Did the FHS transition.
  * Added Build-depends on debhelper and lesstif-dev.
  * Corrected GPL location in copyright file.
  * Raised Standards-verion to 3.5.0

 -- Bas Zoetekouw <bas@debian.org>  Sat,  4 Aug 2001 17:22:58 +0200

xmhtml (1.1.7-5) unstable; urgency=low

  * Add missing dependency, recompile against new lesstif package. 

 -- Tyson Dowd <trd@cs.mu.oz.au>  Tue, 19 Oct 1999 06:46:26 +0200

xmhtml (1.1.7-4) unstable; urgency=low

  * Recompiled against potato.  Fixes #35002.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Wed, 28 Jul 1999 00:36:18 +0200

xmhtml (1.1.7-3) unstable; urgency=low

  * Make sure the postinst is part of the xhtml package. 

 -- Tyson Dowd <trd@cs.mu.oz.au>  Tue, 23 Mar 1999 12:18:16 +1100

xmhtml (1.1.7-2) unstable; urgency=low

  * Fix "initializer element not constant" bug (stdout is no longer a
    constant).  Fixes #34574.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Mon, 15 Mar 1999 13:27:06 +1100

xmhtml (1.1.7-1.1) unstable; urgency=low

  * debian/copyright: correct FSF address
  * debian/control: fix spelling 
  * debian/postinst: added to call ldconfig for the library package
  * debian/rules: fix modes on header files
  * debian/rules: install CHANGES as changelog
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 10 Mar 1999 21:13:59 -0500

xmhtml (1.1.7-1) unstable; urgency=low

  * Initial Release.

 -- Tyson Dowd <trd@cs.mu.oz.au>  Tue,  9 Mar 1999 15:11:02 +1100
