=== debian/control ===
Source: xmhtml
Section: libs
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 9),
               libjpeg-dev,
               libmotif-dev,
               libpng-dev,
               libxmu-dev,
               libxpm-dev
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xmhtml.git
Vcs-Git: git://anonscm.debian.org/collab-maint/xmhtml.git

Package: xmhtml1-dev
Architecture: any
Multi-Arch: same
Depends: libc6-dev, libmotif-dev, xmhtml1 (= ${binary:Version}), ${misc:Depends}
Provides: xmhtml-dev
Conflicts: xmhtml-dev
Section: libdevel
Description: Motif widget for displaying HTML 3.2 (development files)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This is the development kit, containing static libraries and header files
 necessary to build programs that use xmhtml. The runtime library is
 provided by the xmhtml package.

Package: xmhtml1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Description: Motif widget for displaying HTML 3.2 (library)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This package provides the runtime shared library. The xmhtml-dev
 package provides the header files, and the static library.
