=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- lib LDFLAGS+=-Wl,--as-needed CFLAGS+="-fPIC $(CPPFLAGS)"
	$(CC) -shared -Wl,-soname,libXmHTML.so.$(version_major) \
	   -o libXmHTML.so.$(version) lib/*/*.o \
	   -lXm -lXpm -lXt -lXext -lX11 -lpng -ljpeg -lz -lm $(LDFLAGS)

override_dh_auto_install:
	# xmhtml1
	install -d -o root -g root -m 755 debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	install libXmHTML*.so* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s libXmHTML.so.$(version) \
	   debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXmHTML.so.$(version_major)
	# xmhtml1-dev
	install -d -o root -g root -m 755 debian/tmp/usr/include/XmHTML
	install include/XmHTML/*.h debian/tmp/usr/include/XmHTML
	install lib/libXmHTML.a debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s libXmHTML.so.$(version_major) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libXmHTML.so
	chmod 644 debian/tmp/usr/include/XmHTML/*.h

override_dh_auto_clean:
	dh_testroot
	$(RM) libXmHTML*.so*
	dh_auto_clean
