## xmhtml 1.1.9

=== Makefile ===
--- 
+++ 
@@ -27,14 +27,20 @@
 #
 # The defaults in this Makefile are for Linux.
 
-# Don't change this number!
-VERSION = 1107
-ARCHIVE = 1.1.7
+# Don't change these numbers! (only exception: the maintainer of the library if making a new release)
+VERSION = 1109
+ARCHIVE = 1.1.9
+#The SONAME has to be increased when incompatible changes are made to the API.
+#The Versionnumber ( in variables VERSION and ARCHIVE above ) has to start with the SONAME.
+SONAME= libXmHTML.so.1.1
 
 # Target toolkit
 # Possible choices: Motif, gtk
 # Both targets might require you to adjust the LIBS and LIBDIR directives.
 PLATFORM=Motif
+
+# XFT-Support?
+HAVE_XFT=1
 
 # Directories in which to build. If you don't want the examples build,
 # remove the examples directory from this line.
@@ -65,7 +71,7 @@
 #                   #
 #####################
 CC       = gcc
-CFLAGS   = -g -funroll-loops -Wall -pipe -ansi 
+CFLAGS   = -g -funroll-loops -Wall -pipe -ansi $(EXTRA_CFLAGS)
 LDFLAGS  = 
 
 # The following flags are *very* usefull if you are getting unresolved
@@ -107,6 +113,10 @@
 
 IMAGEDEFINES = -DHAVE_LIBJPEG -DHAVE_LIBPNG
 
+ifeq ($(HAVE_XFT),1)
+XFT_DEFINES = -DHAVE_XFT
+endif
+
 # Header file locations. Add path to xpm.h if it isn't in the X11 include
 # directory. Depending on the selected image support, the compiler needs to
 # be able to find the following header files:
@@ -166,24 +176,31 @@
 # Add -DDEBUG to enable selective debug output (see the file DEBUGGING for more
 # info).
 #
-CPPFLAGS = -DDEBUG -D_GNU_SOURCE -D_BSD_SOURCE -D_POSIX_SOURCE -DHAVE_REGEX_H $(IMAGEDEFINES) 
+CPPFLAGS = -D_GNU_SOURCE -D_BSD_SOURCE -D_POSIX_SOURCE -DHAVE_REGEX_H \
+	$(EXTRA_CPPFLAGS) \
+	$(IMAGEDEFINES) \
+	$(XFT_DEFINES)
 
 # Various include directories
 LIBINC=-I. -I../include -I../include/common -I../../include -I../../include/common
 
 # Platform specific includes
 ifeq ($(PLATFORM),Motif)
-PLATFORMINC=-I../../include/XmHTML -I/usr/X11R6/include
+PLATFORMINC=-I../../include/XmHTML -I/usr/X11R6/include -I/usr/include/freetype2
 else
 ifeq ($(PLATFORM),gtk)
-PLATFORMINC=-I../../include/gtk-xmhtml -I/usr/local/include
+PLATFORMINC=\
+	-I../../include/gtk-xmhtml -I/usr/local/include -I/usr/include/freetype2 \
+	-I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include \
+	-I/usr/include/cairo -I/usr/include/pango-1.0 \
+	-I/usr/lib/gtk-2.0/include -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/atk-1.0
 endif
 endif
 
 # include directories
 # If using dmalloc, add the path where the dmalloc.h include file can be 
 # found. On my system it's in /usr/local/include
-INCLUDES = $(LIBINC) $(PLATFORMINC) $(IMAGEINCLUDES) 
+INCLUDES = $(LIBINC) $(PLATFORMINC) $(IMAGEINCLUDES) $(EXTRA_INCLUDES)
 
 # linker flags
 # Uncomment if you're building libXmHTML with dmalloc support
@@ -195,17 +212,22 @@
 LIBDIR = -L/usr/X11R6/lib
 # This is what is required under Linux (Motif 2.0.1).
 # Your mileage may vary.
-LIBS   = -lXm -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE
+LIBS   = -lXm -lXpm -lXmu -lXt -lXext -lX11 -lSM -lICE 
 
 else
 
 # gtk version (only supported port for now)
-ifeq($(PLATFORM),gtk)
-
-LIBDIR = -L/usr/local/lib
-LIBS   = -lgdk -lgtk -lX11
+ifeq ($(PLATFORM),gtk)
+
+LIBDIR = -L/usr/local/lib -L
+LIBS   = -lgdk-x11-2.0 -lgtk-x11 -lX11
 
 # endif gtk
+endif
+endif
+
+ifeq ($(HAVE_XFT),1)
+LIBS += -lXft -lfontconfig
 endif
 
 # Uncomment if you're building libXmHTML with dmalloc support
@@ -218,6 +240,8 @@
 
 pass_flags = SHELL='$(SHELL)' \
 	VERSION='$(VERSION)' \
+	ARCHIVE='$(ARCHIVE)' \
+	SONAME='$(SONAME)' \
 	CC='$(CC)' \
 	RM='$(RM)' \
 	AR='$(AR)' \
@@ -276,9 +300,9 @@
 	$(MAKE) book
 
 # Global target for building everything with Imake
-imake::
-	xmkmf
-	$(MAKE) World
+#imake::
+#	xmkmf
+#	$(MAKE) World
 
 depend:: 
 	@( for dir in $(SUBDIRS) ; do \
@@ -298,7 +322,7 @@
 	@(set -x; cd contrib; $(MAKE) distclean $(pass_flags) )
 	$(RM) docs/sources.desc
 	$(RM) core *.out *.log make.world *.bak *.last *.auto *.rej *.orig
-	$(CP) Makefile.org Makefile
+	#$(CP) Makefile.org Makefile
 
 dist:: distclean
 	$(LN) . XmHTML-$(ARCHIVE)
