=== debian/changelog ===
xmhtml (1.1.9-2) unstable; urgency=medium

  * New patch: d/patches/fix-endless-event-loop.patch.
    - Fix endless event generation and processing loop
  * Update d/control: change source package to Section: x11
    as per other libX* packages and silence Lintian.
  * Upload to unstable.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 24 Jun 2014 17:18:02 +0200

xmhtml (1.1.9-1) experimental; urgency=medium

  * New upstream release.
  * Remove d/patches/* included upstream.
  * Update d/rules for new build system and SONAME.
  * Update d/xmhtml1.symbols for new version and SONAME.
  * Rename library and dev packages and add transitional package
  * Machine-readable d/copyright.
  * Bumps Standards-Version to 3.9.5, no further changes.
  * Document upstream website in d/watch and d/control
  * Add Build-Depends on libxft-dev and libfontconfig1-dev

 -- Graham Inggs <graham@nerve.org.za>  Mon, 28 Apr 2014 12:38:38 +0200
