=== debian/control ===
Source: xmhtml
Section: x11
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 9),
               dh-exec,
               libfontconfig1-dev,
               libjpeg-dev,
               libmotif-dev,
               libpng-dev,
               libxft-dev,
               libxmu-dev,
               libxpm-dev
Standards-Version: 3.9.5
Homepage: http://xmhtml.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xmhtml.git
Vcs-Git: git://anonscm.debian.org/collab-maint/xmhtml.git

Package: libxmhtml-dev
Architecture: any
Multi-Arch: same
Depends: libc6-dev, libmotif-dev, libxmhtml1.1 (= ${binary:Version}), ${misc:Depends}
Breaks: xmhtml1-dev (<< 1.1.9)
Replaces: xmhtml1-dev (<< 1.1.9)
Section: libdevel
Description: Motif widget for displaying HTML 3.2 (development files)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This is the development kit, containing static libraries and header files
 necessary to build programs that use XmHTML. The runtime library is
 provided by the libxmhtml package.

Package: libxmhtml1.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Description: Motif widget for displaying HTML 3.2 (library)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This package provides the runtime shared library. The libxmhtml-dev
 package provides the header files, and the static library.

Package: libxmhtml1.1-dbg
Architecture: any
Section: debug
Priority: extra
Multi-Arch: same
Depends: libxmhtml1.1 (= ${binary:Version}),
         ${misc:Depends}
Description: Motif widget for displaying HTML 3.2 (debugging symbols)
 XmHTML is a high performance Motif Widget capable of displaying HTML
 3.2 confirming text.  Graphics support, lesstif compatibility and
 extensive documentation are amongst its many features.
 .
 This package contains the debugging symbols.

Package: xmhtml1-dev
Architecture: any
Section: oldlibs
Priority: extra
Multi-Arch: same
Depends: libxmhtml-dev, ${misc:Depends}
Description: Motif widget for displaying HTML 3.2 (transitional package)
 This is a transitional package and can safely be removed.
