=== debian/rules ===
#!/usr/bin/make -f

export version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
export version_major=$(shell expr `pwd` : '.*-\([0-9].[0-9]*\)[0-9]*')

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- lib LDFLAGS+=-Wl,--as-needed CFLAGS+="-fPIC $(CPPFLAGS)"

override_dh_strip:
	dh_strip --dbg-package=libxmhtml1.1-dbg
